Log4j 1.2.7

## org.apache.log4j.xml
Class SAXErrorHandler

    java.lang.Object
      |
      +--org.apache.log4j.xml.SAXErrorHandler

All Implemented Interfaces:
  ErrorHandler

public class SAXErrorHandler
extends Object
implements ErrorHandler

Constructor Summary
`SAXErrorHandler()`

Method Summary
`void` `error(SAXParseException ex)`
`void` `fatalError(SAXParseException ex)`
`void` `warning(SAXParseException ex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXErrorHandler

    public SAXErrorHandler()

Method Detail

### error

    public void error(SAXParseException ex)

  Specified by:
    `error` in interface `ErrorHandler`

### fatalError

    public void fatalError(SAXParseException ex)

  Specified by:
    `fatalError` in interface `ErrorHandler`

### warning

    public void warning(SAXParseException ex)

  Specified by:
    `warning` in interface `ErrorHandler`

Log4j 1.2.7

Copyright 2000-2002 Apache Software Foundation.